<?php

namespace App\Services\WxMiniApp;

use App\Models\Common\TokenModel;

class Base
{


    protected $public_id = '';


    public function __construct($public_id)
    {
        $this->public_id = $public_id;
    }


    protected function getAccessToken()
    {
        return TokenModel::where('user_name', $this->public_id)->value('access_token');
    }
}
